<?php

/**
 * Run old CGI applications through PHP
 * @author Adrian Kousz
 * @link https://wiki.archlinux.org/index.php/Awstats Source
 */

// Prepare environment

$newenv = $_SERVER;
$xScriptFilename = $_SERVER["X_SCRIPT_FILENAME"];
$xScriptName = $_SERVER["X_SCRIPT_NAME"];
$newenv["SCRIPT_FILENAME"] = $xScriptFilename;
$newenv["SCRIPT_NAME"] = $xScriptName;

// Check file

if (!is_executable($xScriptFilename) || is_dir($xScriptFilename))
	error_exit(404, 'Not Found');

// Open process

$descriptorspec = array(
	array('pipe', 'r'),
	array('pipe', 'w'),
	array('pipe', 'w'),
);
$pipes = array();
$process = proc_open($xScriptFilename, $descriptorspec, $pipes, null, $newenv);

if (!is_resource($process))
	error_exit(500, 'Internal Server Error');

// All ok, send response

while (true) {
	$head = fgets($pipes[1]);
	if ($head === "\r\n" || $head === "\n") break;
	header($head);
}
fpassthru($pipes[1]);

// Log errors

$scriptErrors = '';
while ($line = fgets($pipes[2])) $scriptErrors .= $line;
$scriptErrors = trim($scriptErrors);
if ($scriptErrors) trigger_error($scriptErrors, E_USER_NOTICE);

// Close

foreach ($pipes as $fh) fclose($fh);
proc_close($process);

// Exit helper

function error_exit($code, $msg)
{
	header("$_SERVER[SERVER_PROTOCOL] $code $msg");
	echo($msg);
	trigger_error($err, E_USER_ERROR);
	exit;
}
