Introduction
============

[Seafile](http://www.seafile.com) is a cloud hosting solution like ownCloud.
It is more efficient for file transfers, has more fine-grained sharing settings,
and better supports collaboration between teams.

This page lists the relevant configuration files of a Seafile installation
which is accessible using HTTP *and* HTTPS.

Configuration
=============

Since Seafile Server 5, all config files are located in the `conf` folder.

seahub_settings.py
------------------

[seahub_settings.py reference](https://github.com/haiwen/seafile-docs/blob/master/config/seahub_settings_py.md)

	FILE_SERVER_ROOT = "/seafhttp"

ccnet.conf
----------

[ccnet.conf reference](https://github.com/haiwen/seafile-docs/blob/master/config/ccnet-conf.md)

	SERVICE_URL = https://seafile.example.com

Contrary to the statements in the documentation,
`[General] ID` and `[Client] PORT` are actually necessary.
(As of version 5.0.1)

seafile-server-latest/runtime/seahub.conf
-----------------------------------------

In this file, `daemon` can be set to False to see debug messages.

Nginx
=====

See [Nginx Seafile Config](../conf/nginx/sites-available/seafile).

Autostart
=========

See

* [seafile.service](../conf/systemd/seafile.service)
* [seahub.service](../conf/systemd/seahub.service)

References
==========

* [Deploying Seafile with SQLite](https://github.com/haiwen/seafile-docs/blob/master/deploy/using_sqlite.md)
* [Deploy Seafile behind NAT](https://github.com/haiwen/seafile-docs/blob/master/deploy/deploy_seafile_behind_nat.md)
* [Enabling Https with Nginx](https://github.com/haiwen/seafile-docs/blob/master/deploy/https_with_nginx.md)
* [Start Seafile at System Bootup](https://github.com/haiwen/seafile-docs/blob/master/deploy/start_seafile_at_system_bootup.md)
