#!/bin/sh

files='/etc /home /var/log /data'
backuplog=/var/log/backup.log
passfiletar=/var/local/backuppw
passfileftp=/var/local/ftppw
outdir=/remote-dir
sftp='-P port user@host.example.com'
tapes='ABCABDABCABEABCABDABCABF'

date > "$backuplog"
sync
sleep 2

day=$(awk 'BEGIN{srand();print int(srand()/86400)}')
# Bash: ${tapes:$(($day%${#tapes})):1}
num=$(echo $tapes | cut -c $(( $day % ${#tapes} + 1 )) )

tar -c $files 2>> "$backuplog" | lz4 \
  | gpg -c --cipher-algo=TWOFISH --passphrase-file "$passfiletar" --batch \
  | split -b 100M - "/tmp/backup-$num."

sshpass -f "$passfileftp" \
  sftp -oBatchMode=no \
  -b - $sftp >> "$backuplog" 2>&1 << SCRIPT
lcd /tmp
cd $outdir
lls -l
ls -l
put backup-*
quit
SCRIPT

rm /tmp/backup-*
